For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
      • GETList Smart Views
      • POSTCreate a Smart View
      • GETGet a single Smart View
      • PUTUpdate a Smart View
      • DELDelete a Smart View
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Search & ReportingSmart Views

Create a Smart View

||View as Markdown|
POST
https://api.close.com/api/v1/saved_search/
POST
/api/v1/saved_search/
$curl -X POST https://api.close.com/api/v1/saved_search/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "name": "every lead",
> "s_query": {
> "query": {
> "queries": [
> {
> "object_type": "lead",
> "type": "object_type"
> },
> {
> "condition": {
> "mode": "full_words",
> "type": "text",
> "value": "Bluth Company"
> },
> "field": {
> "field_name": "display_name",
> "object_type": "lead",
> "type": "regular_field"
> },
> "type": "field_condition"
> }
> ],
> "type": "and"
> }
> },
> "type": "lead"
>}'
1{
2 "date_created": "2013-02-01T01:03:56.515000+00:00",
3 "date_updated": "2013-02-01T01:03:56.515000+00:00",
4 "description": "",
5 "id": "save_Cin23B1CYKX83dbNnBB4Q5F5QXl9ucmgrqNf0esq1Ir",
6 "is_shared": false,
7 "is_user_dependent": false,
8 "name": "every lead",
9 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
10 "query": null,
11 "s_query": {
12 "query": {
13 "queries": [
14 {
15 "object_type": "lead",
16 "type": "object_type"
17 },
18 {
19 "condition": {
20 "mode": "full_words",
21 "type": "text",
22 "value": "Bluth Company"
23 },
24 "field": {
25 "field_name": "display_name",
26 "object_type": "lead",
27 "type": "regular_field"
28 },
29 "type": "field_condition"
30 }
31 ],
32 "type": "and"
33 }
34 },
35 "type": "lead",
36 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
37 "used_recently": true
38}
Create a Lead or Contact Smart View. For Lead Smart Views, the `type` field is optional (since `lead` is the default `type`). When creating a Smart View, you must specify that you want to get objects of the appropriate type via an `object_type` clause as per the [Advanced Filtering](https://developer.close.com/api/resources/advanced-filtering) section. See the examples below.
Was this page helpful?
Previous

List Smart Views

Next

Get a single Smart View

Built with

Create a Lead or Contact Smart View.

For Lead Smart Views, the type field is optional (since lead is the default type).

When creating a Smart View, you must specify that you want to get objects of the appropriate type via an object_type clause as per the Advanced Filtering section. See the examples below.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response
date_createddatetime
date_updateddatetime
descriptionstring or null
idstring
is_sharedboolean
is_user_dependentboolean or null
namestring
organization_idstring
querystring or null
s_querymap from strings to any or null
typeenum
user_idstring or null
selected_fieldslist of maps from strings to any or null
shared_withlist of strings or null
sharing_settingsobject or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error